- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties | Friends

# QMdiSubWindow Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qmdisubwindow.h.

`#include <qmdisubwindow.h>`

Inheritance diagram for QMdiSubWindow:
[legend]

List of all members.

## Public Types
enum | SubWindowOption { AllowOutsideAreaHorizontally = 0x1, AllowOutsideAreaVertically = 0x2, RubberBandResize = 0x4, RubberBandMove = 0x8 }
## Public Slots
void | showSystemMenu ()
void | showShaded ()
## Signals
void | windowStateChanged (Qt::WindowStates oldState, Qt::WindowStates newState)
void | aboutToActivate ()
## Public Member Functions
| QMdiSubWindow (QWidget *parent=0, Qt::WindowFlags flags=0)
| ~QMdiSubWindow ()
QSize | sizeHint () const
QSize | minimumSizeHint () const
void | setWidget (QWidget *widget)
QWidget * | widget () const
QWidget * | maximizedButtonsWidget () const
QWidget * | maximizedSystemMenuIconWidget () const
bool | isShaded () const
void | setOption (SubWindowOption option, bool on=true)
bool | testOption (SubWindowOption) const
void | setKeyboardSingleStep (int step)
int | keyboardSingleStep () const
void | setKeyboardPageStep (int step)
int | keyboardPageStep () const
void | setSystemMenu (QMenu *systemMenu)
QMenu * | systemMenu () const
QMdiArea * | mdiArea () const
## Protected Member Functions
bool | eventFilter (QObject *object, QEvent *event)
bool | event (QEvent *event)
void | showEvent (QShowEvent *showEvent)
void | hideEvent (QHideEvent *hideEvent)
void | changeEvent (QEvent *changeEvent)
void | closeEvent (QCloseEvent *closeEvent)
void | leaveEvent (QEvent *leaveEvent)
void | resizeEvent (QResizeEvent *resizeEvent)
void | timerEvent (QTimerEvent *timerEvent)
void | moveEvent (QMoveEvent *moveEvent)
void | paintEvent (QPaintEvent *paintEvent)
void | mousePressEvent (QMouseEvent *mouseEvent)
void | mouseDoubleClickEvent (QMouseEvent *mouseEvent)
void | mouseReleaseEvent (QMouseEvent *mouseEvent)
void | mouseMoveEvent (QMouseEvent *mouseEvent)
void | keyPressEvent (QKeyEvent *keyEvent)
void | contextMenuEvent (QContextMenuEvent *contextMenuEvent)
void | focusInEvent (QFocusEvent *focusInEvent)
void | focusOutEvent (QFocusEvent *focusOutEvent)
void | childEvent (QChildEvent *childEvent)
## Properties
int | keyboardSingleStep
int | keyboardPageStep
## Friends
class | QMdiAreaTabBar
class | QMdi::ControlContainer

## Member Enumeration Documentation

enum SubWindowOption

Search for all occurrences

Enumerator:

  AllowOutsideAreaHorizontally | Search for all occurrences
  AllowOutsideAreaVertically | Search for all occurrences
  RubberBandResize | Search for all occurrences
  RubberBandMove | Search for all occurrences

Definition at line 66 of file qmdisubwindow.h.

                             {
            AllowOutsideAreaHorizontally = 0x1, // internal
            AllowOutsideAreaVertically = 0x2, // internal
            RubberBandResize = 0x4,
            RubberBandMove = 0x8
        };

## Constructor & Destructor Documentation

QMdiSubWindow | ( | QWidget * | parent = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  |

~QMdiSubWindow | ( |  | ) |

## Member Function Documentation

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

QSize minimumSizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

void setWidget | ( | QWidget * | widget | ) |

Search for all occurrences

QWidget* widget | ( |  | ) | const

Search for all occurrences

QWidget* maximizedButtonsWidget | ( |  | ) | const

Search for all occurrences

QWidget* maximizedSystemMenuIconWidget | ( |  | ) | const

Search for all occurrences

bool isShaded | ( |  | ) | const

Search for all occurrences

void setOption | ( | SubWindowOption | option,
|  | bool | on = `true`
| ) |  |

Search for all occurrences

bool testOption | ( | SubWindowOption |  | ) | const

Search for all occurrences

void setKeyboardSingleStep | ( | int | step | ) |

Search for all occurrences

int keyboardSingleStep | ( |  | ) | const

Search for all occurrences

void setKeyboardPageStep | ( | int | step | ) |

Search for all occurrences

int keyboardPageStep | ( |  | ) | const

Search for all occurrences

void setSystemMenu | ( | QMenu * | systemMenu | ) |

Search for all occurrences

QMenu* systemMenu | ( |  | ) | const

Search for all occurrences

QMdiArea* mdiArea | ( |  | ) | const

Search for all occurrences

void windowStateChanged | ( | Qt::WindowStates | oldState,
|  | Qt::WindowStates | newState
| ) |  | `[signal]`

Search for all occurrences

void aboutToActivate | ( |  | ) | `[signal]`

Search for all occurrences

void showSystemMenu | ( |  | ) | `[slot]`

Search for all occurrences

void showShaded | ( |  | ) | `[slot]`

Search for all occurrences

bool eventFilter | ( | QObject * | object,
|  | QEvent * | event
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void showEvent | ( | QShowEvent * | showEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void hideEvent | ( | QHideEvent * | hideEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void changeEvent | ( | QEvent * | changeEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void closeEvent | ( | QCloseEvent * | closeEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void leaveEvent | ( | QEvent * | leaveEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void resizeEvent | ( | QResizeEvent * | resizeEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void timerEvent | ( | QTimerEvent * | timerEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void moveEvent | ( | QMoveEvent * | moveEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void paintEvent | ( | QPaintEvent * | paintEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mousePressEvent | ( | QMouseEvent * | mouseEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseDoubleClickEvent | ( | QMouseEvent * | mouseEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseReleaseEvent | ( | QMouseEvent * | mouseEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseMoveEvent | ( | QMouseEvent * | mouseEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void keyPressEvent | ( | QKeyEvent * | keyEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void contextMenuEvent | ( | QContextMenuEvent * | contextMenuEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void focusInEvent | ( | QFocusEvent * | focusInEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void focusOutEvent | ( | QFocusEvent * | focusOutEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void childEvent | ( | QChildEvent * | childEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

## Friends And Related Function Documentation

friend class QMdiAreaTabBar `[friend]`

Search for all occurrences

Definition at line 146 of file qmdisubwindow.h.

friend class QMdi::ControlContainer `[friend]`

Search for all occurrences

Definition at line 148 of file qmdisubwindow.h.

## Property Documentation

int keyboardSingleStep `[read, write]`

Search for all occurrences

Definition at line 63 of file qmdisubwindow.h.

int keyboardPageStep `[read, write]`

Search for all occurrences

Definition at line 64 of file qmdisubwindow.h.

The documentation for this class was generated from the following file:

- QtGui/qmdisubwindow.h

QMdiSubWindow QMdiSubWindow QMdiSubWindow QMdiSubWindow QMdiSubWindow QMdiSubWindow QMdiSubWindow QMdiSubWindow QMdiSubWindow QMdiSubWindow
QMdiSubWindow QMdiSubWindow QMdiSubWindow QMdiSubWindow QMdiSubWindow QMdiSubWindow QMdiSubWindow QMdiSubWindow QMdiSubWindow QMdiSubWindow